Secunia CSI7
Advisories
Research
Forums
Create Profile
Our Commitment
PSI
PSI API
CSI
OSI
xSI
Vulnerabilities
Programs
Open Discussions
My Threads
Create Thread
Statistics
About

Forum Thread: PSI shows latest version of PDFXchange still insecure

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
Programs

Relating to this vendor:
Tracker Software Products
And, this specific program:
PDF-XChange Viewer 2.x

This thread has been marked as resolved.
MorrisAO PSI shows latest version of PDFXchange still insecure
Member 21st Jun, 2010 09:47
Ranking: 0
Posts: 2
User Since: 17th Mar, 2008
System Score: N/A
Location: N/A
I have downloaded and installed the latest version I can find of this program, but PSI still shows it as insecure. I completely uninstalled the program before installing again. Also re-scanned after new installation, but still shows as insecure.

Could this possibly be a 'false positive'?

Anyone else having the same problem?

The path to the program shows as C:\Program Files\Tracker Software\PDF-XChange Viewer\pdf-viewer\PDFXCview.exe

Also, trying to use the 'download solution link from within PSI takes me to an invalid link (The requested URL /410aacd80e57ebb9f91f19d9dc7bbc7f was not found on this server).

So, I am not sure whether to set PSI to ignore this or not.

Post "RE: PSI shows latest version of PDFXchange still insecure" has been selected as an answer.
Maurice Joyce RE: PSI shows latest version of PDFXchange still insecure
Handling Contributor 21st Jun, 2010 09:59
Score: 11710
Posts: 8,954
User Since: 4th Jan 2009
System Score: N/A
Location: UK
Last edited on 21st Jun, 2010 10:02
U have not given the exact version U are using. I have this on my "test" PC & it is secure.

The programme has an updater which should have updated it.

The website download link is here:
http://www.tracker-software.com/product/downloads

PSI shows it as patched with version 2.0.51.0

--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+2
-0
This user no longer exists RE: PSI shows latest version of PDFXchange still insecure
Member 21st Jun, 2010 10:11
Last edited on 21st Jun, 2010 10:12 Hi,

Please try re-scanning and re-installing the patch, and let me know if the situation has been remedied.

hope this helps.
Was this reply relevant?
+0
-0
Maurice Joyce RE: PSI shows latest version of PDFXchange still insecure
Handling Contributor 21st Jun, 2010 10:44
Score: 11710
Posts: 8,954
User Since: 4th Jan 2009
System Score: N/A
Location: UK
Edit to my previous post.

I have been "playing" with this programme. The embedded updated is not working correctly. It states that version 2.0.51.0 is the latest version.

The website I gave U gives a download link to version 2.0.52.0.

The "price of fish" has not really changed in that PSI shows both V 2.0.51.0 & V 2.0.52.0 as secure.

If U want to be up to date this file C:\Program Files\Tracker Software\PDF-XChange Viewer\pdf-viewer\PDFXCview.exe should now show as date modified 7/6/2010 at 11.07 hours with a V number of 2.0.52.0.


--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+2
-0
wr RE: PSI shows latest version of PDFXchange still insecure
Contributor 21st Jun, 2010 19:45
Score: 308
Posts: 736
User Since: 30th Mar 2008
System Score: 100%
Location: US
Hi Maurice

For what it's worth I have v.2.0.45.0 of Tracker PDF
Exchange Viewer installed on my system-just did a local
scan & that v. shows secure.

Regards, wr

--
HP Pavilion Slimline s3020n
Windows Vista Home Premium SP2 32 bit
AMD 64 Athlon X2
Firefox 24.4.0 ESR
The weakest link of a computer system is always sitting in front of the monitor.
Was this reply relevant?
+1
-0
Maurice Joyce RE: PSI shows latest version of PDFXchange still insecure
Handling Contributor 21st Jun, 2010 20:46
Score: 11710
Posts: 8,954
User Since: 4th Jan 2009
System Score: N/A
Location: UK
Might be worth updating - there have been some bug fixes - no record of any vulnerabilities therefore not surprise your version is OK from that score.

--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+1
-0
MorrisAO RE: PSI shows latest version of PDFXchange still insecure
Member 22nd Jun, 2010 11:40
Score: 0
Posts: 2
User Since: 17th Mar 2008
System Score: N/A
Location: N/A
Thanks to those who've helped.

I found I actually had 2 copies installed. Totally uninstalled all copies of it, and re-installed using the link you provided.

Problem is resolved. Thanks again.
Was this reply relevant?
+0
-0
Maurice Joyce RE: PSI shows latest version of PDFXchange still insecure
Handling Contributor 22nd Jun, 2010 11:54
Score: 11710
Posts: 8,954
User Since: 4th Jan 2009
System Score: N/A
Location: UK
Good news. Can U please lock (accept) the thread. This will prevent those who helped & U from getting updates from "tag on" posts.

--
Maurice

Windows 7 SP1 64 Bit OS
HP Intel Pentium i7
IE 11 for Windows 7 SP1
16GB RAM
Was this reply relevant?
+0
-0

This thread has been marked as locked.


 Products Solutions Customers Partner Resources Company
 
 Corporate
Vulnerability Intelligence Manager (VIM)
Corporate Software Inspector (CSI)
Consumer
Personal Software Inspector (PSI)
Online Software Inspector (OSI)
 Industry
Compliance
Technology
Integration
 Customers
Testimonials
 VARS
MSSP
Technology Partners
References
 Reports
Webinars
Events
 About us
Careers
Memberships
Newsroom


 
© 2002-2014 Secunia ApS - Rued Langgaards Vej 8, 4th floor, DK-2300 Copenhagen, Denmark - +45 7020 5144
Terms & Conditions and Copyright - Privacy - Report Vulnerability